Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 618324 - =media-gfx/rawtherapee-5.2 stabilization request
Summary: =media-gfx/rawtherapee-5.2 stabilization request
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Stabilization (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Francesco Riosa
URL:
Whiteboard:
Keywords: STABLEREQ
Depends on:
Blocks:
 
Reported: 2017-05-13 00:06 UTC by Francesco Riosa
Modified: 2018-01-15 10:34 UTC (History)
6 users (show)

See Also:
Package list:
=media-gfx/rawtherapee-5.2
Runtime testing required: ---
stable-bot: sanity-check+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Francesco Riosa 2017-05-13 00:06:27 UTC
media-gfx/rawtherapee has been in tree for two months by now, it should be possible to stabilize the package.

also, version 4.2-r1 is very old (and has open bugs) and should be removed, but it's the last one with support for gtk2, if the need arise I'll keep a version of RT-5.0 compatible with gtk2 in some overlay, mine for example.
Comment 1 Franz Trischberger 2017-07-24 10:01:11 UTC
May I suggest to go with 5.1 now? It's in the tree long enough.
Also 5.0 suffers from bad crashes that are fixed in 5.1:
https://github.com/Beep6581/RawTherapee/issues/3787
We could add the patch to 5.0, of course.

The 5.1 release also got some great performance improvements, so in the end I think it would be better to make 5.1 stable.

We also got a 5.2 release some hours ago, so I hope we get this STABLERQ fixed before 5.2 is in the tree for 2 months :)
Comment 2 Franz Trischberger 2017-10-01 07:23:31 UTC
(In reply to Franz Fellner from comment #1)
> May I suggest to go with 5.1 now? It's in the tree long enough.
> Also 5.0 suffers from bad crashes that are fixed in 5.1:
> https://github.com/Beep6581/RawTherapee/issues/3787
> We could add the patch to 5.0, of course.
> 
> The 5.1 release also got some great performance improvements, so in the end
> I think it would be better to make 5.1 stable.
> 
> We also got a 5.2 release some hours ago, so I hope we get this STABLERQ
> fixed before 5.2 is in the tree for 2 months :)

PING

2 months passed and 5.3 is out.
Comment 3 Francesco Riosa 2017-10-01 11:38:54 UTC
> 2 months passed and 5.3 is out.

I'll provide an updated ebuild for RT 5.3 to the proxy maintainers the coming days.

For stabilization I'll check the requirements:

☑ The package has spent a reasonable amount of time in ~arch first. Thirty days is the usual figure, although this is clearly only a guideline. For critical packages, a much longer duration is expected. For small packages which have only minor changes between versions, a shorter period is sometimes appropriate.

☐ The package must not have any non-arch dependencies.

☑ The package must not have any severe outstanding bugs or issues.

☑ The package must be widely tested.

☑ If the package is a library, it should be known not to break any package which depends upon it.

And request the amd64 team to stabilize
Comment 4 Francesco Riosa 2017-10-02 13:27:56 UTC
☑ The package must not have any non-arch dependencies.

checked this one too
Comment 5 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2017-10-02 13:54:57 UTC
Feel free to CC arches.
Comment 6 Francesco Riosa 2017-10-03 09:11:02 UTC
(In reply to Michał Górny from comment #5)
> Feel free to CC arches.

Done yesterday, only amd64 and x86 are involved since the package is keyworded only ~amd64 and ~x86.
Comment 7 Jonas Stein gentoo-dev 2017-10-04 21:07:49 UTC
Can we have a fix for the QA warnings first? see. 632592
That would increase the quality a lot before stabilizing it.
Comment 8 Francesco Riosa 2017-10-04 21:45:09 UTC
https://github.com/gentoo/gentoo/pull/5837
has the QA warning fix
Comment 9 Francesco Riosa 2017-10-04 22:06:34 UTC
obviously it's 
https://github.com/gentoo/gentoo/pull/5853

5837 has already been accepted
Comment 10 Thomas Deutschmann gentoo-dev 2017-10-26 18:55:31 UTC
x86 stable
Comment 11 Patrice Clement gentoo-dev 2017-12-04 19:40:19 UTC
ping
Comment 12 Tobias Klausmann (RETIRED) gentoo-dev 2017-12-16 08:23:40 UTC
Stable on amd64.